      FUNCTION PTNTL(X)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      SAVE

C***This routine is for use with RMPROP: Version 2.1.2
C***This routine is called by subroutines within WEIGH for use with
C***the Schwenke-Truhlar potential.
C***Approximate potential for HF.
C***Function and parameters are from Murrell and Sorbie paper.
C***Official parameters from M. Redmon 11/30/83.

      DATA RE,DE,A1,A2,A3,EV/1.733D+0,6.123D+0,2.15539D+0,0.938515D+0,
     $0.452585D+0,27.21161D+0/
      EX=EXP(-X*A1)
      PTNTL=DE*(1.0D+0-EX*(1.0D+0+X*(A1+X*(A2+X*A3))))
      PTNTL=PTNTL/EV
      RETURN
      END

