      SUBROUTINE PREPOT(LSTAP,NDIM,JIN,ID,L,JTOT,B,IS,EI,EFCN)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      INTEGER FU4
      SAVE

C***This subroutine is for use with RMPROP: Version 2.1.2.
C***PREPOT is called once before the first call to POT.
C***PREPOT is called by PROGRAM RMPROP.

      PARAMETER(FU4=4)
      INCLUDE 'parameter.inc'
      COMMON/APRXCM/ALPHA,AMORSE,DMORSE,HOSCK,OMEGA,XMU,DGEN
     1,GO,GT,T
      COMMON/APCM/XSR2(11,11),XSQ1(11,11,20),IMP(10),RIMP(9),IMPN,NPOWER
     1,XEX(11,11),PX,PX1,PX2,PX3,PX4,PX5,PX6,PX7,PX8,PX9,DPMD,DPMDS,QPMD
      COMMON/OSCCOM/LHOSC
      DIMENSION XSR3(11,11),Z1(11,11)
      DIMENSION JIN(IDX,NANX),B(IDX,IDX,NVIB1X),IS(IDX,NVIBX),
     1EFCN(IDX,IDX)
      DIMENSION A(50,50),EI(IDX)
      DIMENSION VOO(15,15),BK(49,49),Z(20,20),ZI(11,11),ZT(11,11)
      DIMENSION PCDMT(1275)
      LOGICAL LSTAP,LHOSC,LSRIES,LTEMP,LTEMP1,LOG1

C***Call subroutine HEADER to print a description of the potential.

      CALL HEADER
      OPEN(UNIT=FU4,FILE='fort.4',STATUS='OLD',FORM='FORMATTED')
      READ(4,700) LSTAP,LHOSC
      READ(4,701)AMORSE,DMORSE,XMU,DGEN
      READ(4,701)GO,GT,T
  700 FORMAT(2L1)
  701 FORMAT(4F15.8)
      OMEGA = AMORSE * DSQRT( 2D0 * DMORSE / XMU )
      HOSCK = XMU * ( OMEGA**2 )
      ALPHA = DSQRT( 2D0 * XMU * OMEGA )
      ALPHA = 1D0 / ALPHA
      LSRIES =.TRUE.
      LOG1=.TRUE.
      NMAX=19
      NMAX1=NMAX+1
      MAXOS=10
      MAXOS1=MAXOS+1
      LOG1 = .FALSE.
      NPOWER=1

C***Title approximation.

      WRITE(6,5) ALPHA
      CALL EINT(NDIM,ID,EI,IS,IS(1,2),OMEGA,IMPN,IMP,RIMP)
    5 FORMAT(//1X,47HThe potential matrix elements will be evaluated,
     155H for an asymptotic harmonic oscillator primitive basis./1X,
     251HDefine ALPHA=SQRT(1.0/(2.0*REDUCED MASS*FREQUENCY)./1X,
     36HALPHA=,F10.5)
      IF(LHOSC)WRITE(6,9)
      IF(.NOT.LHOSC)WRITE(6,11)DMORSE,AMORSE,HOSCK
      WRITE(6,1124)GO,GT,T
      WRITE(6,145)OMEGA,XMU
    9 FORMAT(/1X,41HThe molecule BC is treated as a harmonic ,
     244Hoscillator for which ALPHA is defined above.)
   11 FORMAT(/1X,49HThe molecule BC is treated as a Morse oscillator ,
     160Hfor which the potential requires the multiplicative constant/
     21X,35HDMORSE and for the exponent AMORSE./1X,7HDMORSE=,F10.5,
     310X,7HAMORSE=,F10.5,10X/1X,27HThe force constant for the ,
     447Hharmonic oscillators of the basis set is HOSCK./1X,6HHOSCK=,
     5F10.5)
1124  FORMAT(/1X,43HThe HF-HF orientation is defined by GAMMA1=,1PE15.7,
     11X,7HGAMMA2=,1PE15.7,1X,10HPHI1-PHI2=,1PE15.7,/1X,94Hwhere GAMMA1,
     2 GAMMA2, PHI1, and PHI2 are defined in Poulsen et al, JCP Vol 68 P
     3age 5121 (1978))
145   FORMAT(/,1X,25HOMEGA for the molecule is,1PE15.7,35HThe reduced ma
     1ss of the molecule is,1PE15.7)
      R0=0.0D+0
      RMAX=200.0D+0
      WRITE(6,140)
  140 FORMAT(/1X,53HA variable number of powers in the potential is used
     1.)
      DO 141 I=1,IMPN
         IF(I.EQ.1)WRITE(6,142)R0,RIMP(1),IMP(1)
         IF(I.EQ.IMPN)WRITE(6,143)RIMP(I-1),IMP(I)
         IF(I.EQ.IMPN)GOTO 141
         IF(I.GT.1)WRITE(6,142)RIMP(I-1),RIMP(I),IMP(I)
  141 CONTINUE
  142 FORMAT(1X,13HFor R between,G8.1,3Hand,G8.1,1H,,I3,1X,15Hpowers are
     1 used)
  143 FORMAT(1X,13HFor R between,G8.1,8Hand RMAX,1X,I3,1X,15Hpowers are 
     1used)

C***ENERGY AND SECTOR INDEPENDENT QUANTITIES

      NDM1=NDIM-1
      CALL XMAT(14,MAXOS,XSQ1,MAXOS1,MAXOS1,19,ALPHA)
      IF(.NOT.LHOSC)CALL XMATMO(20,MAXOS,XSQ1,MAXOS1,MAXOS1,19,EI,IS,IS
     1(1,2),ID,DGEN)
      DO 9862 I=1,NDIM
      DO 9863 IJ=1,NDIM
 9863 EFCN(I,IJ)=0.0D+0
 9862 EFCN(I,I)=1.0D+0
      DO 17 I=1,MAXOS1
      DO 17 J=1,MAXOS1
      NP=NMAX
      DO 17 N=1,NMAX-1
      NP=NP-1
  17  XSQ1(I,J,NP+1)=XSQ1(I,J,NP)
      DO 16 I=1,MAXOS1
      DO 16 J=1,MAXOS1
         IF(I.EQ.J) GO TO 10
         XSQ1(I,J,1)=0.0D0
         XSR2(I,J)=0D0
         GO TO 16
  10     XSQ1(I,J,1)=1.0D0
  16  CONTINUE
      CALL GHFHF8(SR,VOO,LOG1,IMP(NPOWER),GO,GT,T)
      RETURN
      END
