      SUBROUTINE EXSCAT(ID,ICT,IS,EFACT,LEARLY,PI,JIN,AKMT,SRE,SIM,U,
     1ETA,LGS,JTOT,ETOT,ITPRNT,ITCOL,RABC,NSECT,RSCAT,TMP,PCDMT)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      SAVE

C***  This subroutine is for use with RMPROP: version 2.1.2.
C***EXSCAT is called by SUBROUTINE GNSCAT.
C***The arguments RABC and NSECT have been added at the end so that
C***this subroutine can call subroutine TITLES without crashing.

      INCLUDE 'parameter.inc'
      DIMENSION JIN(IDX,NANX),AKMT(IDX),SRE(IDX,IDX),SIM(IDX,IDX),
     1U(IDX,2), ETA(IDX),LGS(15),RABC(NSECTX),TMP(IDX,IDX)
      DIMENSION PCDMT(NBARX)
      DIMENSION RSCAT(IDX,IDX)
      LOGICAL LEARLY,LGS

C***Calculate and print the real part of the phase shift.

      IF(.NOT.LEARLY)CALL TITLES(IS,2,EFACT,ID,NSECT,RABC(IS))
      IF(.NOT.LGS(4))GO TO 600
      DO 499 I=1,ICT
      DO 499 J=1,ICT
      TMP(J,I)=RSCAT(J,I)
  499 CONTINUE

      CALL RS(ID,ICT,TMP,ETA,0,TMP,U,U(1,2),IERR)

      CALL EV2RSP(0,ICT,0,NBARX,IDX,PCDMT,TMP,U(1,1),U(1,2),ETA,
     1TMP,0,IERR)

      IF(IERR.NE.0)WRITE(6,1900)IERR
 1900 FORMAT(1X,7HIERR is,I10,27H for asymptotic calculation)

      WRITE(6,550)
      WRITE(6,575)(ATAN(ETA(I)),I=1,ICT)

  550 FORMAT(1X,24HReal part of phase shift)
  575 FORMAT(1X,9(E14.6))

C***Calculate and print the cross sectons if desired.
C***Note that this cannot be done for systems with NANX < 2.

  600 IF(.NOT.LGS(5))GO TO 701

      DO 635 J=1,ICT
      DO 635 I=1,ICT
      STEMP=SRE(I,J)
      IF(I.EQ.J)STEMP=STEMP-1.0
C     PIL=PI*DBLE(2*JTOT+1)/(DBLE(2*JIN(I,1)+1)*AKMT(I)*AKMT(I)
C    1*DBLE(2*JIN(I,2)+1))

      PIL=PI*DBLE(2*JTOT+1)/(AKMT(I)*AKMT(I))
      ITOP=MIN0(2,NANX)
      DO 633 MM=1,ITOP
      PIL=PIL/DBLE(2*JIN(I,MM)+1)
  633 CONTINUE

  635 TMP(I,J)=PIL*(STEMP**2+SIM(I,J)**2)
      WRITE(6,650)
  650 FORMAT(1X,22HPartial cross sections,
     11X,25Hfor M into N (in bohr**2))
      CALL PRNTM2(TMP,ICT,ICT,ID)

      IADD=0
      J1O=-1
      J2O=-1

      DO 29 I=1,ICT
C***REPLACED BY MJU 03-12-93
C     IF(J1O.NE.JIN(I,1).OR.J2O.NE.JIN(I,2))GOTO 21
C***REPLACEMENT STARTS HERE
C***REPLACEMENT ENDS HERE
      DO 291 IMM =1,ITOP
       IF(IMM.EQ.1)THEN
         IF(J1O.NE.JIN(I,IMM))GOTO 21
       END IF
       IF(IMM.EQ.2)THEN
         IF(J2O.NE.JIN(I,IMM))GOTO 21
       END IF
  291 CONTINUE
      DO 299 IA=1,ICT
      TMP(IA,IADD)=TMP(IA,IADD)+TMP(IA,I)
  299 CONTINUE
      GOTO 29
C***LINE 21 J1O=JIN(I,1)
C***AND LINE BELOW IT J2O=JIN(I,2)
C***REPLACED BY MJU 03-12-93
C  21 J1O=JIN(I,1)
C     J2O=JIN(I,2)
C***REPLACEMENT STARTS HERE
   21 CONTINUE
      DO 211 IMM=1,ITOP
        IF(IMM.EQ.1)THEN
             J1O=JIN(I,IMM)
        END IF
        IF(IMM.EQ.2)THEN
             J2O=JIN(I,IMM)
        END IF
  211 CONTINUE
C***REPLACEMENT ENDS HERE

      IADD=IADD+1
      DO 31 IB=1,ICT
      TMP(IB,IADD)=TMP(IB,I)
   31 CONTINUE
   29 CONTINUE

      NUMR=IADD
      IADD=0
      J1O=-1
      J2O=-1

      DO 24 I=1,ICT
C***REPLACED BY MJU 03-12-93
C     IF(J1O.NE.JIN(I,1).OR.J2O.NE.JIN(I,2))GOTO 25
C***REPLACEMENT STARTS HERE
      DO 241 IMM =1,ITOP
       IF(IMM.EQ.1)THEN
         IF(J1O.NE.JIN(I,IMM))GOTO 25
       END IF
       IF(IMM.EQ.2)THEN
         IF(J2O.NE.JIN(I,IMM))GOTO 25
       END IF
  241 CONTINUE
C***REPLACEMENT ENDS HERE

      DO 26 J=1,NUMR
   26 TMP(IADD,J)=TMP(IADD,J)+TMP(I,J)
      GOTO 24
C***LINE 25 J1O=JIN(I,1)
C***AND LINE BELOW IT J2O=JIN(I,2)
C***REPLACED BY MJU 03-12-93
C  25 J1O=JIN(I,1)
C     J2O=JIN(I,2)
C***REPLACEMENT STARTS HERE
   25 CONTINUE
      DO 251 IMM=1,ITOP
        IF(IMM.EQ.1)THEN
             J1O=JIN(I,IMM)
        END IF
        IF(IMM.EQ.2)THEN
             J2O=JIN(I,IMM)
        END IF
  251 CONTINUE
C***REPLACEMENT ENDS HERE
      IADD=IADD+1
      DO 27 J=1,NUMR
   27 TMP(IADD,J)=TMP(I,J)
   24 CONTINUE

      WRITE(6,650)
      WRITE(6,28)

   28 FORMAT(1X,21HSummed over L and J12)

      CALL PRNTM2(TMP,NUMR,NUMR,ID)

  701 IF(ITPRNT.LE.0)GOTO 10

      DO 20 ICOL=1,ITCOL
   20 WRITE(10,5)JTOT,(SRE(I,ICOL),SIM(I,ICOL),I=1,ITPRNT)

      WRITE(6,15)ITPRNT,ITCOL
    5 FORMAT(I5,(1X,10(1PE12.5)))
   15 FORMAT(1X,9HThe first,I5,9H rows and,I5,23H columns of the T matri
     1,25Hx were written to FOR010.)

   10 IF(.NOT.LGS(14))GOTO 700

      WRITE(6,675)
      WRITE(10,680)JTOT,ETOT
      WRITE(10,685)((SRE(J,I),J=1,ICT),I=1,ICT)
      WRITE(10,685)((SIM(J,I),J=1,ICT),I=1,ICT)

 675  FORMAT(1X,26HT matrix written to FOR010)
 680  FORMAT(1X,I5,1PE15.8)
 685  FORMAT(1X,5(1PE13.6))

C***Calculate and print the transition probability if desired.

  700 IF(.NOT.LGS(6))RETURN

      DO 705 I=1,ICT
      DO 705 J=1,ICT
      TMP(J,I)=SRE(J,I)**2+SIM(J,I)**2
  705 CONTINUE

      WRITE(6,710)
  710 FORMAT(1X,31HTransition probabilities P(M,N))
      CALL PRNTM2(TMP,ICT,ICT,ID)

      RETURN
      END
