      SUBROUTINE EV2RSP (MSGFL,N,NVECT,LENA,NV,A,B,IND,ROOT,VECT,IORDER
     &                 ,IERR)
C
C                              DECLARATIONS
C
      DOUBLE PRECISION A(LENA)
      DOUBLE PRECISION B(N,8)
      DOUBLE PRECISION ROOT(N)
      DOUBLE PRECISION VECT(NV,*)
C
      INTEGER IND(N)
C***
C   THIS FILE IS A DUMMY VERSION OF SUBROUTINE EVVRSP FOR USE WHEN
C   SUBROUTINE RS IS USED TO CALCULATE THE EIGENVALUES AND/OR THE
C   EIGENVECTORS OF A REAL (DOUBLE PRECISION) SYMMETRIC MATRIX
C***
      RETURN
      END
      SUBROUTINE DGEMM ( TRANSA, TRANSB, M, N, K, ALPHA, A, LDA, B, LDB,
     $                   BETA, C, LDC )
      CHARACTER*1        TRANSA, TRANSB
      INTEGER            M, N, K, LDA, LDB, LDC
      DOUBLE PRECISION   ALPHA, BETA
      DOUBLE PRECISION   A( LDA, * ), B( LDB, * ), C( LDC, * )
C              To handshake with MXMA in Cray SCILIB 
      
      LA =1
      LB =1
      LA2=LDA
      LB2=LDB
      IF(TRANSA.EQ.'T')THEN
         LA=LDA
         LA2=1
      ENDIF
      IF(TRANSB.EQ.'T')THEN
         LB=LDB
         LB2=1
      ENDIF
      CALL MXMA(A,LA,LA2,B,LB,LB2,C,1,LDC,M,K,N)
C      CALL SGEMM(TRANSA,TRANSB,M,N,K,ALPHA,A,LDA,B,LDB,BETA,C,LDC)
      RETURN
      END
C
      SUBROUTINE DGETRF( M, N, A, LDA, IPIV, INFO )
      INTEGER            INFO, LDA, M, N
      INTEGER            IPIV( * )
      DOUBLE PRECISION   A( LDA, * )
C    DUMMY routine for call to MINV in Cray SCILIB
C     CALL SGETRF(M,N,A,LDA,IPIV,INFO)
      RETURN
      END
      SUBROUTINE DGETRS( TRANS, N, NRHS, A, LDA, IPIV, B, LDB, INFO )
      CHARACTER          TRANS
      INTEGER            INFO, LDA, LDB, N, NRHS
      INTEGER            IPIV( * )
      DOUBLE PRECISION   A( LDA, * ), B( LDB, * )
C    DUMMY routine for call to MINV in Cray SCILIB
C      CALL SGETRS(TRANS,N,NRHS,A,LDA,IPIV,B,LDB,INFO)
      RETURN
      END
      SUBROUTINE DGETRI( N, A, LDA, IPIV, WORK, LWORK, INFO )
      INTEGER            INFO, LDA, LWORK, N
      INTEGER            IPIV( * )
      DOUBLE PRECISION   A( LDA, * ), WORK( LWORK )
C    DUMMY routine for call to MINV in Cray SCILIB
C     CALL SGETRI(N,A,LDA,IPIV,WORK,LWORK,INFO)
      RETURN
      END
      DOUBLE PRECISION FUNCTION DASUM(N,DX,INCX)
      DOUBLE PRECISION DX(*),DTEMP
C           for translation to Cray SCILIB
      INTEGER INCX,N
      DASUM = SASUM(N,DX,INCX)
      RETURN
      END
      SUBROUTINE DAXPY(N,DA,DX,INCX,DY,INCY)
      DOUBLE PRECISION DX(1),DY(1),DA
      INTEGER I,INCX,INCY,IX,IY,M,MP1,N
C     Handshaking version for Cray SciLIb
      CALL SAXPY(N,DA,DX,INCX,DY,INCY)
      RETURN
      END
      DOUBLE PRECISION FUNCTION DDOT(N,DX,INCX,DY,INCY)
      DOUBLE PRECISION DX(*),DY(*)
      INTEGER INCX,INCY,N
C        For translation to Cray SCILIB
      DDOT=SDOT(N,DX,INCX,DY,INCY)
      RETURN
      END
      DOUBLE PRECISION FUNCTION DNRM2 ( N, DX, INCX)
      INTEGER INCX,N
      DOUBLE PRECISION DX(*)
C     translation for Cray SCILIB
      DNRM2=SNRM2(N,DX,INCX)
      RETURN
      END
      SUBROUTINE  DSCAL(N,DA,DX,INCX)
      DOUBLE PRECISION DA,DX(*)
      INTEGER INCX,N
C        translates to Cray SCILIB
      CALL SSCAL(N,DA,DX,INCX)
      RETURN
      END
      SUBROUTINE DCOPY(N,DX,INCX,DY,INCY)
      DOUBLE PRECISION DX(*),DY(*)
      INTEGER INCX,INCY,N
      CALL SCOPY(N,DX,INCX,DY,INCY)
      RETURN
      END
