      SUBROUTINE EV2RSP (MSGFL,N,NVECT,LENA,NV,A,B,IND,ROOT,VECT,IORDER
     &                 ,IERR)
C
C                              DECLARATIONS
C
      DOUBLE PRECISION A(LENA)
      DOUBLE PRECISION B(N,8)
      DOUBLE PRECISION ROOT(N)
      DOUBLE PRECISION VECT(NV,*)
C
      INTEGER IND(N)
C***
C   THIS FILE IS A DUMMY VERSION OF SUBROUTINE EVVRSP FOR USE WHEN
C   SUBROUTINE RS IS USED TO CALCULATE THE EIGENVALUES AND/OR THE
C   EIGENVECTORS OF A REAL (DOUBLE PRECISION) SYMMETRIC MATRIX
C***
      RETURN
      END
      SUBROUTINE DGEMM ( TRANSA, TRANSB, M, N, K, ALPHA, A, LDA, B, LDB,
     $                   BETA, C, LDC )
      CHARACTER*1        TRANSA, TRANSB
      INTEGER            M, N, K, LDA, LDB, LDC
      DOUBLE PRECISION   ALPHA, BETA
      DOUBLE PRECISION   A( LDA, * ), B( LDB, * ), C( LDC, * )
C              To handshake with sgemm in Cray SCILIB 
      CALL SGEMM(TRANSA,TRANSB,M,N,K,ALPHA,A,LDA,B,LDB,BETA,C,LDC)
      RETURN
      END
      SUBROUTINE MINV(MAT,NPD,IDX,U,DET,EPS,IPD,IA)
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      DET=1.D0
      RETURN
      END
      SUBROUTINE DGETRF( M, N, A, LDA, IPIV, INFO )
      INTEGER            INFO, LDA, M, N
      INTEGER            IPIV( * )
      DOUBLE PRECISION   A( LDA, * )
C    to handshake with sgetrf in Cray SCILIB
      CALL SGETRF(M,N,A,LDA,IPIV,INFO)
      RETURN
      END
      SUBROUTINE DGETRS( TRANS, N, NRHS, A, LDA, IPIV, B, LDB, INFO )
      CHARACTER          TRANS
      INTEGER            INFO, LDA, LDB, N, NRHS
      INTEGER            IPIV( * )
      DOUBLE PRECISION   A( LDA, * ), B( LDB, * )
C                       handshaking version for Cray Scilib
      CALL SGETRS(TRANS,N,NRHS,A,LDA,IPIV,B,LDB,INFO)
      RETURN
      END
************************************************************************
      SUBROUTINE DGETRI( N, A, LDA, IPIV, WORK, LWORK, INFO )
      INTEGER            INFO, LDA, LWORK, N
      INTEGER            IPIV( * )
      DOUBLE PRECISION   A( LDA, * ), WORK( LWORK )
C               handshaking version for Cray SciLib
      CALL SGETRI(N,A,LDA,IPIV,WORK,LWORK,INFO)
      RETURN
      END
      DOUBLE PRECISION FUNCTION DASUM(N,DX,INCX)
      DOUBLE PRECISION DX(*),DTEMP
C           for translation to Cray SCILIB
      INTEGER INCX,N
      DASUM = SASUM(N,DX,INCX)
      RETURN
      END
      SUBROUTINE DAXPY(N,DA,DX,INCX,DY,INCY)
      DOUBLE PRECISION DX(1),DY(1),DA
      INTEGER I,INCX,INCY,IX,IY,M,MP1,N
C     Handshaking version for Cray SciLIb
      CALL SAXPY(N,DA,DX,INCX,DY,INCY)
      RETURN
      END
      DOUBLE PRECISION FUNCTION DDOT(N,DX,INCX,DY,INCY)
      DOUBLE PRECISION DX(*),DY(*)
      INTEGER INCX,INCY,N
C        For translation to Cray SCILIB
      DDOT=SDOT(N,DX,INCX,DY,INCY)
      RETURN
      END
      DOUBLE PRECISION FUNCTION DNRM2 ( N, DX, INCX)
      INTEGER INCX,N
      DOUBLE PRECISION DX(*)
C     translation for Cray SCILIB
      DNRM2=SNRM2(N,DX,INCX)
      RETURN
      END
      SUBROUTINE  DSCAL(N,DA,DX,INCX)
      DOUBLE PRECISION DA,DX(*)
      INTEGER INCX,N
C        translates to Cray SCILIB
      CALL SSCAL(N,DA,DX,INCX)
      RETURN
      END
      SUBROUTINE DCOPY(N,DX,INCX,DY,INCY)
      DOUBLE PRECISION DX(*),DY(*)
      INTEGER INCX,INCY,N
      CALL SCOPY(N,DX,INCX,DY,INCY)
      RETURN
      END
